#pragma once

#include "CoreMinimal.h"
#include "MenuLoadoutPartViewData.h"
#include "MenuSkillViewData.generated.h"

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API UMenuSkillViewData : public UMenuLoadoutPartViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsSkillUnlockable;

public:
	UMenuSkillViewData();
};

FORCEINLINE uint32 GetTypeHash(const UMenuSkillViewData) { return 0; }
